> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cxconnect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Translate

> The translation endpoint allows submission of a source text, with or without a specified language, to translate to an array of destination languages.



## OpenAPI

````yaml /specs/language-api.yaml post /language/translate
openapi: 3.1.0
info:
  description: cxconnect.ai Omni Language API
  version: 1.0.0
  title: cxconnect.ai Omni Language API
  contact:
    email: support@cxconnect.ai
  license:
    name: cxconnect.ai EULA
    url: https://cxconnect.ai
servers:
  - url: https://test.api.cxconnect.ai
security:
  - OAuth2:
      - access
      - read
      - write
  - BearerAuth:
      - access
      - read
      - write
tags:
  - name: language
    description: cxconnect.ai Language endpoints
externalDocs:
  description: cxconnect.ai
  url: https://cxconnect.ai
paths:
  /language/translate:
    post:
      tags:
        - language
      summary: Translate
      description: >-
        The translation endpoint allows submission of a source text, with or
        without a specified language, to translate to an array of destination
        languages.
      operationId: translate
      requestBody:
        $ref: '#/components/requestBodies/TranslationRequest'
      responses:
        '200':
          description: Successful translation result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TranslationResult'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
components:
  requestBodies:
    TranslationRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TranslationRequest'
  schemas:
    TranslationResult:
      type: object
      properties:
        results:
          description: >-
            The results object contains the translated documents keyed by
            language
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Document'
          example:
            en:
              language: en
              value: Hello
        original:
          $ref: '#/components/schemas/TranslationRequest'
          description: Result metadata
        extra:
          type: object
          description: Items associated with additional request options
    TranslationRequest:
      type: object
      properties:
        document:
          $ref: '#/components/schemas/Document'
        source:
          type: string
        targets:
          type: array
          items:
            type: string
        meta:
          type: object
          additionalProperties:
            type: string
          example:
            foo: bar
          description: Request metadata
        options:
          type: object
        substitutions:
          type: array
          items:
            $ref: '#/components/schemas/Substitution'
    Document:
      type: object
      properties:
        value:
          oneOf:
            - type: string
            - type: object
        mime_type:
          type: string
        language:
          type: string
        meta:
          type: object
    Substitution:
      type: object
      properties:
        source:
          type: string
        text:
          type: string
        target:
          type: string
        substitution:
          type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://test.auth.cxconnect.ai
          scopes:
            access: API level access to permit operations
            read: Allow read level access to stored configs and settings
            write: Allow write level access to store configs and settings
    BearerAuth:
      type: http
      scheme: bearer

````